Subject: Re: bug#24671: java-mode confused by non-trivial generics

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 27 Jul 2019 16:01:48 +0200

Daniel Colascione <[email-masked]> writes:

> For the following code
>
>     class Foo {
>         public List<Class<? extends Bar<? extends Qux>>> getBars() {
>             return null;
>         }
>     }
>
> I expect the `<' and `>' to be assigned paren syntax, but they are not. Emacs
> is latest master.

When I try this in Emacs 27, the < and > characters are fontied the same
way as the parentheses in the example, so I'm guessing that this has
been fixed and is closing this bug report.  If you're still seeing this
problem, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no